package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/17 星期一 9:50
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eFileType {
    Xls("application/vnd.ms-excel"),//非超级管理员
    Xlsx("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");//超级管理员

    private String value;

    eFileType(String value){
        this.value = value;
    }

    public String getValue() {
        return value;
    }
    public static eFileType typeValueOf(String value) {
        switch (value) {
            case "application/vnd.ms-excel":
                return eFileType.Xls;
            case "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet":
                return eFileType.Xlsx;
            default:
                return null;
        }
    }
}
